package ink.wgink.module.sms.pojo.vos.sms;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckListAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @ClassName: SmsVO
 * @Description: 短信
 * @Author: WenG
 * @Date: 2020-03-14 16:01
 * @Version: 1.0
 **/
@ApiModel
public class SmsPhoneSendVO {

    @ApiModelProperty(name = "phones", value = "手机列表", required = true)
    @CheckListAnnotation(name = "手机列表")
    private List<String> phones;
    @ApiModelProperty(name = "content", value = "发送内容", required = true)
    @CheckEmptyAnnotation(name = "发送内容")
    private String content;
    @ApiModelProperty(name = "sendUserId", value = "发送人用户ID", required = true)
    @CheckEmptyAnnotation(name = "发送人用户ID")
    private String sendUserId;
    @ApiModelProperty(name = "sendUserUsername", value = "发送人用户名", required = true)
    @CheckEmptyAnnotation(name = "发送人用户名")
    private String sendUserUsername;
    @ApiModelProperty(name = "sendUserName", value = "发送人昵称", required = true)
    @CheckEmptyAnnotation(name = "发送人昵称")
    private String sendUserName;

    public List<String> getPhones() {
        return phones;
    }

    public void setPhones(List<String> phones) {
        this.phones = phones;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getSendUserId() {
        return sendUserId == null ? "" : sendUserId.trim();
    }

    public void setSendUserId(String sendUserId) {
        this.sendUserId = sendUserId;
    }

    public String getSendUserUsername() {
        return sendUserUsername == null ? "" : sendUserUsername.trim();
    }

    public void setSendUserUsername(String sendUserUsername) {
        this.sendUserUsername = sendUserUsername;
    }

    public String getSendUserName() {
        return sendUserName == null ? "" : sendUserName.trim();
    }

    public void setSendUserName(String sendUserName) {
        this.sendUserName = sendUserName;
    }
}
